Package org.eclipse.e4.ui.model.application

## Interface MContribution

All Superinterfaces:
  `MApplicationElement`

All Known Subinterfaces:
  `MAddon`, `MCompositePart`, `MDirectMenuItem`, `MDirectToolItem`, `MDynamicMenuContribution`, `MHandler`, `MImperativeExpression`, `MPart`, `MToolControl`

    public interface MContribution
    extends MApplicationElement

A representation of the model object 'Contribution'.

MContribution is a mix-in class used by concrete elements such as Parts to define the location of the client supplied class implementing the specific logic needed.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

  The following features are supported:

  - `Contribution URI`
  - `Object`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getContributionURI()` Returns the value of the 'Contribution URI' attribute.
`Object` `getObject()` Returns the value of the 'Object' attribute.
`void` `setContributionURI​(String value)` Sets the value of the '`Contribution URI`' attribute.
`void` `setObject​(Object value)` Sets the value of the '`Object`' attribute.

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Method Detail

#### getContributionURI

    String getContributionURI()

Returns the value of the 'Contribution URI' attribute.

The ContributionURI defines the complete path to a class implementing the logic for elements require external code to handle the UI such as MParts and MHandlers.

Returns:
  the value of the 'Contribution URI' attribute.
Since:
  1.0
See Also:
  `setContributionURI(String)`

#### setContributionURI

    void setContributionURI​(String value)

Sets the value of the '`Contribution URI`' attribute.

Parameters:
  `value` - the new value of the 'Contribution URI' attribute.
Since:
  1.0
See Also:
  `getContributionURI()`

#### getObject

    Object getObject()

Returns the value of the 'Object' attribute.

This is the DI created instance of the class implementing the logic for the element. It will only be non-null if the element has been rendered into the presentation.

Returns:
  the value of the 'Object' attribute.
See Also:
  `setObject(Object)`

#### setObject

    void setObject​(Object value)

Sets the value of the '`Object`' attribute.

Parameters:
  `value` - the new value of the 'Object' attribute.
See Also:
  `getObject()`